require "import"
import "android.speech.tts.TextToSpeech"
import "java.util.*"

local tts
local context = activity or service

function initTTS()
    if context then
        tts = TextToSpeech(context, TextToSpeech.OnInitListener {
            onInit = function(status)
                if status == TextToSpeech.SUCCESS then
                    tts.setLanguage(Locale("ro"))
                    speak_date()
                end
            end
        })
    else
        print("Contextul nu este disponibil, încerc din nou...")
        os.execute("sleep 1")
        initTTS()
    end
end

function get_date()
    local zile = {
        "Duminică", "Luni", "Marți", "Miercuri",
        "Joi", "Vineri", "Sâmbătă"
    }
    
    local luni = {
        "Ianuarie", "Februarie", "Martie", "Aprilie",
        "Mai", "Iunie", "Iulie", "August",
        "Septembrie", "Octombrie", "Noiembrie", "Decembrie"
    }

    local data_curenta = os.date("*t")
    local zi_saptamana = zile[data_curenta.wday]
    local zi_luna = data_curenta.day
    local luna = luni[data_curenta.month]
    local an = data_curenta.year

    return "Astăzi este " .. zi_saptamana .. ", " .. zi_luna .. " " .. luna .. " " .. an .. "."
end

function speak_date()
    if tts then
        tts.speak(get_date(), TextToSpeech.QUEUE_FLUSH, nil, nil)
    else
        print("TTS nu este inițializat.")
    end
end

function onDestroy()
    if tts then
        tts.stop()
        tts.shutdown()
    end
end

initTTS()